org.bouncycastle.asn1.x509.sigi

## Class PersonalData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.sigi.PersonalData

All Implemented Interfaces:
  DEREncodable

    public class PersonalData
    extends ASN1Encodable

Contains personal data for the otherName field in the subjectAltNames extension.

         PersonalData ::= SEQUENCE {
           nameOrPseudonym NameOrPseudonym,
           nameDistinguisher [0] INTEGER OPTIONAL,
           dateOfBirth [1] GeneralizedTime OPTIONAL,
           placeOfBirth [2] DirectoryString OPTIONAL,
           gender [3] PrintableString OPTIONAL,
           postalAddress [4] DirectoryString OPTIONAL
           }

See Also:
  `NameOrPseudonym`, `SigIObjectIdentifiers`

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`PersonalData(NameOrPseudonym nameOrPseudonym, java.math.BigInteger nameDistinguisher, DERGeneralizedTime dateOfBirth, DirectoryString placeOfBirth, java.lang.String gender, DirectoryString postalAddress)` Constructor from a given details.

### Method Summary

Methods
`DERGeneralizedTime` `getDateOfBirth()`
`java.lang.String` `getGender()`
`static PersonalData` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getNameDistinguisher()`
`NameOrPseudonym` `getNameOrPseudonym()`
`DirectoryString` `getPlaceOfBirth()`
`DirectoryString` `getPostalAddress()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersonalData

    public PersonalData(NameOrPseudonym nameOrPseudonym,
                java.math.BigInteger nameDistinguisher,
                DERGeneralizedTime dateOfBirth,
                DirectoryString placeOfBirth,
                java.lang.String gender,
                DirectoryString postalAddress)

Constructor from a given details.

Parameters:
  `nameOrPseudonym` - Name or pseudonym.
  `nameDistinguisher` - Name distinguisher.
  `dateOfBirth` - Date of birth.
  `placeOfBirth` - Place of birth.
  `gender` - Gender.
  `postalAddress` - Postal Address.

### Method Detail

#### getInstance

    public static PersonalData getInstance(java.lang.Object obj)

#### getNameOrPseudonym

    public NameOrPseudonym getNameOrPseudonym()

#### getNameDistinguisher

    public java.math.BigInteger getNameDistinguisher()

#### getDateOfBirth

    public DERGeneralizedTime getDateOfBirth()

#### getPlaceOfBirth

    public DirectoryString getPlaceOfBirth()

#### getGender

    public java.lang.String getGender()

#### getPostalAddress

    public DirectoryString getPostalAddress()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

Returns:

         PersonalData ::= SEQUENCE {
           nameOrPseudonym NameOrPseudonym,
           nameDistinguisher [0] INTEGER OPTIONAL,
           dateOfBirth [1] GeneralizedTime OPTIONAL,
           placeOfBirth [2] DirectoryString OPTIONAL,
           gender [3] PrintableString OPTIONAL,
           postalAddress [4] DirectoryString OPTIONAL
           }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a DERObject